Bug 18181 - Can't tell which subscriptions already have routing lists if seeing all subs attached to a biblio
Summary: Can't tell which subscriptions already have routing lists if seeing all subs ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-28 02:19 UTC by Aleisha Amohia
Modified: 2017-04-02 17:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18181: Can't tell which subscriptions already have a routing list if seeing all subs attached to a biblio (1.44 KB, patch)
2017-02-28 02:24 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 18181: Can't tell which subscriptions already have a routing list if seeing all subs attached to a biblio (1.65 KB, patch)
2017-03-22 14:29 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 18181: Can't tell which subscriptions already have a routing list if seeing all subs attached to a biblio (1.66 KB, patch)
2017-03-22 16:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-28 02:19:17 UTC

    
Comment 1 Aleisha Amohia 2017-02-28 02:24:35 UTC
Created attachment 60728 [details] [review]
Bug 18181: Can't tell which subscriptions already have a routing list if seeing all subs attached to a biblio

To test:
1) Go to Serials -> search for a subscription
2) Add a new routing list for a subscription
3) After saving, you should be redirected to the subscription detail
page
4) Click Serial collection on the left sidebar menu
5) Notice there is a button that says 'Edit routing list' next to this
subscription in the first table
6) Click 'See any subscription attached to this biblio' link
7) Notice it no longer says edit next to this subscription, it says
'Create routing list'
8) Apply patch and refresh page
9) Should now show 'Edit' button like expected

Sponsored-by: Catalyst IT
Comment 2 Eric 2017-03-21 19:27:58 UTC
Hello,

I don't know if its only on my sandbox, but it seems the Add recipients option in the Create a Routing list is broken when i update the sandbox with the patch.

I feel it's only on my side, but if someone can verify it too ?
Comment 3 Séverine Queune 2017-03-22 13:18:37 UTC
The patch apply correctly when I tested it in sandbox 4.
Comment 4 sandboxes@biblibre.com 2017-03-22 14:29:13 UTC
Patch tested with a sandbox, by Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 sandboxes@biblibre.com 2017-03-22 14:29:34 UTC
Created attachment 61457 [details] [review]
Bug 18181: Can't tell which subscriptions already have a routing list if seeing all subs attached to a biblio

To test:
1) Go to Serials -> search for a subscription
2) Add a new routing list for a subscription
3) After saving, you should be redirected to the subscription detail
page
4) Click Serial collection on the left sidebar menu
5) Notice there is a button that says 'Edit routing list' next to this
subscription in the first table
6) Click 'See any subscription attached to this biblio' link
7) Notice it no longer says edit next to this subscription, it says
'Create routing list'
8) Apply patch and refresh page
9) Should now show 'Edit' button like expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 6 Jonathan Druart 2017-03-22 16:42:14 UTC
Created attachment 61480 [details] [review]
Bug 18181: Can't tell which subscriptions already have a routing list if seeing all subs attached to a biblio

To test:
1) Go to Serials -> search for a subscription
2) Add a new routing list for a subscription
3) After saving, you should be redirected to the subscription detail
page
4) Click Serial collection on the left sidebar menu
5) Notice there is a button that says 'Edit routing list' next to this
subscription in the first table
6) Click 'See any subscription attached to this biblio' link
7) Notice it no longer says edit next to this subscription, it says
'Create routing list'
8) Apply patch and refresh page
9) Should now show 'Edit' button like expected

Sponsored-by: Catalyst IT

Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Kyle M Hall 2017-03-31 14:31:51 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 8 Katrin Fischer 2017-04-02 17:40:39 UTC
This won't get ported back to 16.11.x as it is an enhancement.